Multivariate Pattern Analysis in Python

# mvpa2.clfs.smlr.Parameter

class `mvpa2.clfs.smlr.``Parameter`(default, constraints=None, ro=False, index=None, value=None, name=None, doc=None, **kwargs)

  This class shall serve as a representation of a parameter.

  It might be useful if a little more information than the pure parameter value is required (or even only useful).

  Each parameter must have a value. However additional attributes can be passed to the constructor and will be stored in the object.

  Notes

  BIG ASSUMPTION: stored values are not mutable, ie nobody should do

  > cls.parameter1[:] = ...

  or we wouldn’t know that it was changed Here is a list of possible additional attributes:

  step
    Increment/decrement step size hint for optimization

  Attributes

  `default` |
  `equal_default` | Returns True if current value is equal to default one
  `is_default` | Returns True if current value is bound to default one
  `is_set` |
  `name` |
  `value` |

  Methods

  Specify a Parameter with a default value and arbitrary number of additional attributes.

  Parameters:

  constraints : callable

  > A functor that takes any input value, performs checks or type conversions and finally returns a value that is appropriate for a parameter or raises an exception.

  name : str

  > Name of the parameter under which it should be available in its respective collection.

  doc : str

  > Documentation about the purpose of this parameter.

  index : int or None

  > Index of parameter among the others. Determines order of listing in help. If None, order of instantiation determines the index.

  ro : bool

  > Either value which will be assigned in the constructor is read-only and cannot be changed

  value

  > Actual value of the parameter to be assigned

  Examples

  -ensure the parameter to be of type float (None not allowed as value): constraints = EnsureFloat() >>> from mvpa2.base.param import Parameter >>> from mvpa2.base.constraints import (EnsureFloat, EnsureRange, ... AltConstraints, Constraints) >>> C = Parameter(23.0, constraints=EnsureFloat())

  -ensure the parameter to be of type float or to be None: >>> C = Parameter(23.0, constraints=AltConstraints(EnsureFloat(), None))

  -ensure the parameter to be None or to be of type float and lie in the inclusive range (7.0,44.0): >>> C = Parameter(23.0, AltConstraints(Constraints(EnsureFloat(), ... EnsureRange(min=7.0,max=44.0)), ... None))

  Attributes

  `default` |
  `equal_default` | Returns True if current value is equal to default one
  `is_default` | Returns True if current value is bound to default one
  `is_set` |
  `name` |
  `value` |

  Methods

  `default`
  `equal_default`

    Returns True if current value is equal to default one

  `is_default`

    Returns True if current value is bound to default one

  `reset_value`()

    Reset value to the default

  `value`